% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qDEA.R
\name{SM2A}
\alias{SM2A}
\title{SM2A: Convert a sparse matrix object ASM into a matrix A}
\usage{
SM2A(ASM, NA_flag = (-1e+06))
}
\arguments{
\item{ASM}{A sparse matrix object}

\item{NAflag}{Number to uses as NA flag}
}
\value{
The matrix A.
}
\description{
ASM is a sparse matrix object containing:
nr = number of rows, nc = number of columns, ra = nonzero coeff,
ia = row indices, ja = col indices,
rnames = row names,cnames = column names # Note these may be missing or ""
SMM = space matrix method, and ZINDEX = use 0-indexing
}
\examples{
\dontrun{
(A = matrix(c(1,0,0,2,0,3,0,0,0,5,0,6),3,4,byrow=T))
(SM1 = A2SM(A,SMM='CMO',ZINDEX=T))
(SM2=SM2SM(SM1,SMM='CRI',ZINDEX=F))
SM2A(SM1)
SM2A(SM2)

(A = matrix(c(1,0,0,2,0,3,0,0,0,5,0,6),3,4,byrow=T)); A[2,3]=NA; A
(ASM = A2SM(A,SMM='CMO',ZINDEX=T)); SM2A(ASM)
(ASM2 = SM2SM(ASM,SMM2='CRI',ZINDEX2=T)); A ; (A2 = SM2A(SM2))

#clpAPI  documentation example
nr=5
nc=8
ra=c(3.0,5.6,1.0,2.0,1.1,1.0,-2.0,2.8,-1.0,1.0,1.0,-1.2,-1.0,1.9)
ia=c(0,4,0,1,1,2,0,3,0,4,2,3,0,4)
ja=c(0,2,4,6,8,10,11,12,14)
SMM='CMO'
ZINDEX=T
ASM=list(nr=nr,nc=nc,ra=ra,ia=ia,ja=ja,SMM=SMM,ZINDEX=ZINDEX)
(A=SM2A(ASM))
}
}
