% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qDEA.R
\name{qDEA_mlist}
\alias{qDEA_mlist}
\title{qDEA_mlist: Obtain subsample qDEA results for a set (vector) of subsample sizes
             !!!Intended to be called from qDEA function!!!!}
\usage{
qDEA_mlist(
  XM,
  YM,
  mpick,
  qout = 0.1,
  qoutS = qout,
  Bdrop = NULL,
  Bdropq = NULL,
  X0 = XM,
  Y0 = YM,
  DX0 = XM,
  DY0 = YM,
  mlist,
  RTS = "CRS",
  nqiter = 1,
  qtol = 1e-06,
  BIGM = 1e+09,
  eps = 1e-06,
  skipzprob = T,
  unbounded = (-1000),
  obj2test = 1e-04,
  replaceA1 = replaceA1,
  baseqDEA = baseqDEA,
  printlog = F,
  prntmod = 100,
  getbootpeers = F,
  dmulist0 = 1:nrow(X0),
  solver = "clp"
)
}
\arguments{
\item{XM}{Input levels for subsample of reference set X.}

\item{YM}{Output levels for subsample of reference set Y.}

\item{mpick}{Index of subsample dmus in original (X,Y) reference set.}

\item{qout}{Maximal proportion of dmu's allowed external to DEA hull.}

\item{qoutS}{Proportion of external points to identify using qDEA slicing.}

\item{Bdrop}{Index list of DMU's whose initial DDEA solutions were unbounded.}

\item{Bdropq}{Index list of DMU's whose initial qDEA solutions were unbounded.}

\item{X0}{Inputs for set of ndmu0 dmu's to be processed.}

\item{Y0}{Outputs for set of ndmu0 dmu's to be processed.}

\item{DX0}{Input directions for ndmu0 dmu's in X0 and Y0.}

\item{DY0}{Output directions for ndmu0 dmu's in X0 and Y0.}

\item{mlist}{Vector of subsample sizes}

\item{RTS}{Returns to scale default='CRS'  options are 'CRS,'VRS,'DRS','IRS.}

\item{nqiter}{Maximal number of qDEA iterations.}

\item{qtol}{qout search tolerance with iterative qDEA.}

\item{BIGM}{Default Big M in RHS of qDEA stage 2 process.}

\item{eps}{Search tolerance in qDEA improvement tests.}

\item{skipzprob}{Skip qDEA if qout=0.}

\item{unbounded}{qDEA reported as unbounded if obj<unbounded.}

\item{obj2test}{Converge tol for objective in iterative qDEA.}

\item{replaceA1}{Put dmu0's data in first row of reference sets. .}

\item{baseqDEA}{Use basic qDEA model from EJOR article}

\item{printlog}{Progress of dmu's solved when (X0,Y0) >1 dmus.}

\item{prntmod}{Print progress every prntmod dmus.}

\item{getbootpeers}{Return dmu projection weights for each dmu and each bootstrap.}

\item{dmulist0}{DMU0 index in originally inputs X0,Y0,DX0,and DY0}

\item{solver}{LP solver Default='clp' Options:'clp','highs','glpk' or 'rglpk'}
}
\value{
A list containing the following components:

EFFmlist  = ndmu0 by mcell matrix of subsample DDEA distances.

EFFmlistq = ndmu0 by mcell matrix of subsample qDEA distances.

XM        = Input levels for subsample of reference set X.

YM        = Output levels for subsample of reference set X.

qout      = Maximal proportion of dmu's allowed external to DEA hull.

qoutS     = Proportion of external points to identify using qDEA slicing.

X0        = Inputs for set of ndmu0 dmu's to be processed.

Y0        = Outputs for set of ndmu0 dmu's to be processed.

DX0       = Input directions for ndmu0 dmu's in X0 and Y0.

DY0       = Output directions for ndmu0 dmu's in X0 and Y0.

mlist     = Vector of subsample sizes

mcells    = Number of subsample sizes

peers     = A data frame containing DDEA peer dmus and projection weights

peersq    = A data frame containing qDEA peer dmus and projection weights
}
\description{
mcells = number of subsample sizes
}
